hpp-corbaserver: hpp::corbaServer::impl::Problem Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
hpp::corbaServer::impl::Problem Class Reference

Implement CORBA interface `‘Problem’'. More...

`#include <problem.impl.hh>`

Inheritance diagram for hpp::corbaServer::impl::Problem:
[legend]
Collaboration diagram for hpp::corbaServer::impl::Problem:
[legend]

## Public Member Functions
| Problem ()
void | setServer (ServerPlugin *server)
virtual Names_t * | getAvailable (const char *what)
virtual Names_t * | getSelected (const char *what)
virtual void | setParameter (const char *name, const Any &value)
virtual Any * | getParameter (const char *name)
virtual char * | getParameterDoc (const char *name)
virtual bool | selectProblem (const char *problemName)
virtual void | resetProblem ()
virtual bool | loadPlugin (const char *pluginName)
virtual void | movePathToProblem (ULong pathId, const char *problemName, const Names_t &jointNames)
virtual void | setMaxNumThreads (UShort n)
virtual UShort | getMaxNumThreads ()
virtual void | setRandomSeed (const Long seed)
virtual void | setInitialConfig (const hpp::floatSeq &dofArray)
virtual hpp::floatSeq * | getInitialConfig ()
virtual void | addGoalConfig (const hpp::floatSeq &dofArray)
virtual hpp::floatSeqSeq * | getGoalConfigs ()
virtual void | resetGoalConfigs ()
void | setGoalConstraints (const Names_t &constraints)
void | resetGoalConstraints ()
virtual void | createOrientationConstraint (const char *constraintName, const char *joint1Name, const char *joint2Name, const Double *p, const hpp::boolSeq &mask)
virtual void | createTransformationConstraint (const char *constraintName, const char *joint1Name, const char *joint2Name, const Transform_ p, const hpp::boolSeq &mask)
virtual void | createTransformationConstraint2 (const char *constraintName, const char *joint1Name, const char *joint2Name, const Transform_ frame1, const Transform_ frame2, const hpp::boolSeq &mask)
virtual void | createTransformationR3xSO3Constraint (const char *constraintName, const char *joint1Name, const char *joint2Name, const Transform_ frame1, const Transform_ frame2, const hpp::boolSeq &mask)
virtual void | createLockedJoint (const char *lockedJointName, const char *jointName, const hpp::floatSeq &value)
virtual void | createLockedJointWithComp (const char *lockedJointName, const char *jointName, const hpp::floatSeq &value, const hpp::ComparisonTypes_t &comp)
virtual void | createLockedExtraDof (const char *lockedDofName, ULong index, const hpp::floatSeq &value)
virtual void | createManipulability (const char *name, const char *function)
void | createRelativeComConstraint (const char *constraintName, const char *comn, const char *jointName, const floatSeq &point, const hpp::boolSeq &mask)
void | createComBeetweenFeet (const char *constraintName, const char *comn, const char *jointLName, const char *jointRName, const floatSeq &pointL, const floatSeq &pointR, const char *jointRefName, const floatSeq &pRef, const hpp::boolSeq &mask)
virtual void | createConvexShapeContactConstraint (const char *constraintName, const Names_t &floorJoints, const Names_t &objectJoints, const hpp::floatSeqSeq &points, const hpp::intSeqSeq &objTriangles, const hpp::intSeqSeq &floorTriangles)
virtual void | createPositionConstraint (const char *constraintName, const char *joint1Name, const char *joint2Name, const hpp::floatSeq &point1, const hpp::floatSeq &point2, const hpp::boolSeq &mask)
virtual void | createConfigurationConstraint (const char *constraintName, const hpp::floatSeq &goal, const hpp::floatSeq &weights)
virtual void | createDistanceBetweenJointConstraint (const char *constraintName, const char *joint1Name, const char *joint2Name, Double distance)
virtual void | createDistanceBetweenJointAndObjects (const char *constraintName, const char *joint1Name, const hpp::Names_t &objects, Double distance)
virtual void | createIdentityConstraint (const char *constraintName, const Names_t &inJoints, const hpp::Names_t &outJoints)
virtual bool | applyConstraints (const hpp::floatSeq &input, hpp::floatSeq_out output, Double &residualError)
virtual bool | optimize (const hpp::floatSeq &input, hpp::floatSeq_out output, hpp::floatSeq_out residualError)
virtual void | computeValueAndJacobian (const hpp::floatSeq &config, hpp::floatSeq_out value, hpp::floatSeqSeq_out jacobian)
virtual bool | generateValidConfig (ULong maxIter, hpp::floatSeq_out output, Double &residualError)
virtual void | addPassiveDofs (const char *constraintName, const hpp::Names_t &dofName)
virtual void | getConstraintDimensions (const char *constraintName, ULong &inputSize, ULong &inputDerivativeSize, ULong &outputSize, ULong &outputDerivativeSize)
virtual void | setConstantRightHandSide (const char *constraintName, CORBA::Boolean constant)
virtual bool | getConstantRightHandSide (const char *constraintName)
virtual floatSeq * | getRightHandSide ()
virtual void | setRightHandSide (const hpp::floatSeq &rhs)
virtual void | setRightHandSideFromConfig (const hpp::floatSeq &config)
virtual void | setRightHandSideByName (const char *constraintName, const hpp::floatSeq &rhs)
virtual void | setRightHandSideFromConfigByName (const char *constraintName, const hpp::floatSeq &config)
virtual void | resetConstraints ()
virtual void | resetConstraintMap ()
virtual void | addNumericalConstraints (const char *constraintName, const hpp::Names_t &constraintNames, const hpp::intSeq &priorities)
virtual void | setNumericalConstraintsLastPriorityOptional (const bool optional)
virtual void | addLockedJointConstraints (const char *configProjName, const hpp::Names_t &lockedJointNames)
virtual char * | displayConstraints ()
virtual void | filterCollisionPairs ()
virtual Double | getErrorThreshold ()
virtual void | setErrorThreshold (Double threshold)
virtual void | setDefaultLineSearchType (const char *type)
virtual ULong | getMaxIterProjection ()
virtual void | setMaxIterProjection (ULong iterations)
virtual ULong | getMaxIterPathPlanning ()
virtual void | setMaxIterPathPlanning (ULong iterations)
virtual void | setTimeOutPathPlanning (double timeOut)
virtual double | getTimeOutPathPlanning ()
virtual void | addPathOptimizer (const char *pathOptimizerType)
virtual void | clearPathOptimizers ()
virtual void | addConfigValidation (const char *configValidationType)
virtual void | clearConfigValidations ()
virtual void | selectPathValidation (const char *pathValidationType, Double tolerance)
virtual void | selectPathProjector (const char *pathProjectorType, Double tolerance)
virtual void | selectPathPlanner (const char *pathPlannerType)
virtual void | selectDistance (const char *distanceType)
virtual void | selectSteeringMethod (const char *steeringMethodType)
virtual void | selectConfigurationShooter (const char *configurationShooterType)
virtual bool | prepareSolveStepByStep ()
virtual bool | executeOneStep ()
virtual void | finishSolveStepByStep ()
virtual hpp::intSeq * | solve ()
virtual bool | directPath (const hpp::floatSeq &startConfig, const hpp::floatSeq &endConfig, CORBA::Boolean validate, ULong &pathId, CORBA::String_out report)
virtual bool | reversePath (ULong pathId, ULong &reversedPathId)
virtual void | addConfigToRoadmap (const hpp::floatSeq &config)
virtual void | addEdgeToRoadmap (const hpp::floatSeq &config1, const hpp::floatSeq &config2, ULong pathId, bool bothEdges)
virtual void | appendDirectPath (ULong pathId, const hpp::floatSeq &config, Boolean validate)
virtual void | concatenatePath (ULong startId, ULong endId)
virtual void | extractPath (ULong pathId, Double start, Double end)
virtual void | erasePath (ULong pathId)
virtual bool | projectPath (ULong pathId)
virtual void | interruptPathPlanning ()
virtual Long | numberPaths ()
virtual hpp::intSeq * | optimizePath (ULong pathId)
virtual Double | pathLength (ULong pathId)
virtual hpp::floatSeq * | configAtParam (ULong pathId, Double atDistance)
virtual hpp::floatSeq * | derivativeAtParam (ULong pathId, ULong order, Double atDistance)
virtual hpp::floatSeqSeq * | getWaypoints (ULong inPathId, floatSeq_out times)
virtual hpp::floatSeqSeq * | nodes ()
virtual Long | numberEdges ()
virtual void | edge (ULong edgeId, hpp::floatSeq_out q1, hpp::floatSeq_out q2)
virtual Long | connectedComponentOfEdge (ULong edgeId)
virtual hpp::floatSeq * | node (ULong nodeId)
virtual Long | connectedComponentOfNode (ULong nodeId)
virtual Long | numberNodes ()
virtual Long | numberConnectedComponents ()
virtual hpp::floatSeqSeq * | nodesConnectedComponent (ULong connectedComponentId)
virtual hpp::floatSeq * | getNearestConfig (const hpp::floatSeq &config, const Long connectedComponentId, hpp::core::value_type &distance)
virtual void | clearRoadmap ()
virtual void | resetRoadmap ()
virtual void | saveRoadmap (const char *filename)
virtual void | loadRoadmap (const char *filename)
virtual void | savePath (hpp::core_idl::Path_ptr path, const char *filename)
virtual hpp::core_idl::Path_ptr | loadPath (const char *filename)
virtual void | scCreateScalarMultiply (const char *outName, Double scalar, const char *inName)
hpp::core_idl::Distance_ptr | getDistance ()
void | setDistance (hpp::core_idl::Distance_ptr distance)
hpp::core_idl::Path_ptr | getPath (ULong pathId)
ULong | addPath (hpp::core_idl::PathVector_ptr _path)
hpp::core_idl::SteeringMethod_ptr | getSteeringMethod ()
hpp::core_idl::PathValidation_ptr | getPathValidation ()
hpp::core_idl::PathPlanner_ptr | getPathPlanner ()
hpp::core_idl::Problem_ptr | getProblem ()
hpp::constraints_idl::Implicit_ptr | getConstraint (const char *name)
void | setRobot (hpp::pinocchio_idl::Device_ptr robot)
pinocchio_idl::CollisionObject_ptr | getObstacle (const char *name)
core_idl::Problem_ptr | createProblem (pinocchio_idl::Device_ptr robot)
core_idl::Roadmap_ptr | createRoadmap (core_idl::Distance_ptr distance, pinocchio_idl::Device_ptr robot)
core_idl::Roadmap_ptr | readRoadmap (const char *filename, pinocchio_idl::Device_ptr robot)
void | writeRoadmap (const char *filename, core_idl::Roadmap_ptr roadmap, pinocchio_idl::Device_ptr robot)
core_idl::PathPlanner_ptr | createPathPlanner (const char *type, core_idl::Problem_ptr _problem, core_idl::Roadmap_ptr roadmap)
core_idl::PathOptimizer_ptr | createPathOptimizer (const char *type, core_idl::Problem_ptr _problem)
core_idl::PathProjector_ptr | createPathProjector (const char *type, core_idl::Problem_ptr robot, value_type parameter)
core_idl::PathValidation_ptr | createPathValidation (const char *type, pinocchio_idl::Device_ptr robot, value_type parameter)
core_idl::ConfigValidation_ptr | createConfigValidation (const char *type, pinocchio_idl::Device_ptr robot) override
core_idl::ConfigurationShooter_ptr | createConfigurationShooter (const char *type, core_idl::Problem_ptr _problem)
core_idl::Distance_ptr | createDistance (const char *type, core_idl::Problem_ptr _problem)
core_idl::SteeringMethod_ptr | createSteeringMethod (const char *type, core_idl::Problem_ptr _problem)
core_idl::Constraint_ptr | createConstraintSet (pinocchio_idl::Device_ptr robot, const char *name)
core_idl::Constraint_ptr | createConfigProjector (pinocchio_idl::Device_ptr robot, const char *name, Double threshold, ULong iterations)

## Detailed Description

Implement CORBA interface `‘Problem’'.

## Constructor & Destructor Documentation

## ◆ Problem()

hpp::corbaServer::impl::Problem::Problem | ( |  | ) |

## Member Function Documentation

## ◆ addConfigToRoadmap()

virtual void hpp::corbaServer::impl::Problem::addConfigToRoadmap | ( | const hpp::floatSeq & | config | ) |
| virtual

## ◆ addConfigValidation()

virtual void hpp::corbaServer::impl::Problem::addConfigValidation | ( | const char * | configValidationType | ) |
| virtual

## ◆ addEdgeToRoadmap()

virtual void hpp::corbaServer::impl::Problem::addEdgeToRoadmap | ( | const hpp::floatSeq & | config1,
|  | const hpp::floatSeq & | config2,
|  | ULong | pathId,
|  | bool | bothEdges
| ) |  |
| virtual

## ◆ addGoalConfig()

virtual void hpp::corbaServer::impl::Problem::addGoalConfig | ( | const hpp::floatSeq & | dofArray | ) |
| virtual

## ◆ addLockedJointConstraints()

virtual void hpp::corbaServer::impl::Problem::addLockedJointConstraints | ( | const char * | configProjName,
|  | const hpp::Names_t & | lockedJointNames
| ) |  |
| virtual

## ◆ addNumericalConstraints()

virtual void hpp::corbaServer::impl::Problem::addNumericalConstraints | ( | const char * | constraintName,
|  | const hpp::Names_t & | constraintNames,
|  | const hpp::intSeq & | priorities
| ) |  |
| virtual

## ◆ addPassiveDofs()

virtual void hpp::corbaServer::impl::Problem::addPassiveDofs | ( | const char * | constraintName,
|  | const hpp::Names_t & | dofName
| ) |  |
| virtual

## ◆ addPath()

ULong hpp::corbaServer::impl::Problem::addPath | ( | hpp::core_idl::PathVector_ptr | _path | ) |

## ◆ addPathOptimizer()

virtual void hpp::corbaServer::impl::Problem::addPathOptimizer | ( | const char * | pathOptimizerType | ) |
| virtual

## ◆ appendDirectPath()

virtual void hpp::corbaServer::impl::Problem::appendDirectPath | ( | ULong | pathId,
|  | const hpp::floatSeq & | config,
|  | Boolean | validate
| ) |  |
| virtual

## ◆ applyConstraints()

virtual bool hpp::corbaServer::impl::Problem::applyConstraints | ( | const hpp::floatSeq & | input,
|  | hpp::floatSeq_out | output,
|  | Double & | residualError
| ) |  |
| virtual

## ◆ clearConfigValidations()

virtual void hpp::corbaServer::impl::Problem::clearConfigValidations | ( |  | ) |
| virtual

## ◆ clearPathOptimizers()

virtual void hpp::corbaServer::impl::Problem::clearPathOptimizers | ( |  | ) |
| virtual

## ◆ clearRoadmap()

virtual void hpp::corbaServer::impl::Problem::clearRoadmap | ( |  | ) |
| virtual

## ◆ computeValueAndJacobian()

virtual void hpp::corbaServer::impl::Problem::computeValueAndJacobian | ( | const hpp::floatSeq & | config,
|  | hpp::floatSeq_out | value,
|  | hpp::floatSeqSeq_out | jacobian
| ) |  |
| virtual

## ◆ concatenatePath()

virtual void hpp::corbaServer::impl::Problem::concatenatePath | ( | ULong | startId,
|  | ULong | endId
| ) |  |
| virtual

## ◆ configAtParam()

virtual hpp::floatSeq* hpp::corbaServer::impl::Problem::configAtParam | ( | ULong | pathId,
|  | Double | atDistance
| ) |  |
| virtual

## ◆ connectedComponentOfEdge()

virtual Long hpp::corbaServer::impl::Problem::connectedComponentOfEdge | ( | ULong | edgeId | ) |
| virtual

## ◆ connectedComponentOfNode()

virtual Long hpp::corbaServer::impl::Problem::connectedComponentOfNode | ( | ULong | nodeId | ) |
| virtual

## ◆ createComBeetweenFeet()

void hpp::corbaServer::impl::Problem::createComBeetweenFeet | ( | const char * | constraintName,
|  | const char * | comn,
|  | const char * | jointLName,
|  | const char * | jointRName,
|  | const floatSeq & | pointL,
|  | const floatSeq & | pointR,
|  | const char * | jointRefName,
|  | const floatSeq & | pRef,
|  | const hpp::boolSeq & | mask
| ) |  |

## ◆ createConfigProjector()

core_idl::Constraint_ptr hpp::corbaServer::impl::Problem::createConfigProjector | ( | pinocchio_idl::Device_ptr | robot,
|  | const char * | name,
|  | Double | threshold,
|  | ULong | iterations
| ) |  |

## ◆ createConfigurationConstraint()

virtual void hpp::corbaServer::impl::Problem::createConfigurationConstraint | ( | const char * | constraintName,
|  | const hpp::floatSeq & | goal,
|  | const hpp::floatSeq & | weights
| ) |  |
| virtual

## ◆ createConfigurationShooter()

core_idl::ConfigurationShooter_ptr hpp::corbaServer::impl::Problem::createConfigurationShooter | ( | const char * | type,
|  | core_idl::Problem_ptr | _problem
| ) |  |

## ◆ createConfigValidation()

core_idl::ConfigValidation_ptr hpp::corbaServer::impl::Problem::createConfigValidation | ( | const char * | type,
|  | pinocchio_idl::Device_ptr | robot
| ) |  |
| override

## ◆ createConstraintSet()

core_idl::Constraint_ptr hpp::corbaServer::impl::Problem::createConstraintSet | ( | pinocchio_idl::Device_ptr | robot,
|  | const char * | name
| ) |  |

## ◆ createConvexShapeContactConstraint()

virtual void hpp::corbaServer::impl::Problem::createConvexShapeContactConstraint | ( | const char * | constraintName,
|  | const Names_t & | floorJoints,
|  | const Names_t & | objectJoints,
|  | const hpp::floatSeqSeq & | points,
|  | const hpp::intSeqSeq & | objTriangles,
|  | const hpp::intSeqSeq & | floorTriangles
| ) |  |
| virtual

## ◆ createDistance()

core_idl::Distance_ptr hpp::corbaServer::impl::Problem::createDistance | ( | const char * | type,
|  | core_idl::Problem_ptr | _problem
| ) |  |

## ◆ createDistanceBetweenJointAndObjects()

virtual void hpp::corbaServer::impl::Problem::createDistanceBetweenJointAndObjects | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const hpp::Names_t & | objects,
|  | Double | distance
| ) |  |
| virtual

## ◆ createDistanceBetweenJointConstraint()

virtual void hpp::corbaServer::impl::Problem::createDistanceBetweenJointConstraint | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | Double | distance
| ) |  |
| virtual

## ◆ createIdentityConstraint()

virtual void hpp::corbaServer::impl::Problem::createIdentityConstraint | ( | const char * | constraintName,
|  | const Names_t & | inJoints,
|  | const hpp::Names_t & | outJoints
| ) |  |
| virtual

## ◆ createLockedExtraDof()

virtual void hpp::corbaServer::impl::Problem::createLockedExtraDof | ( | const char * | lockedDofName,
|  | ULong | index,
|  | const hpp::floatSeq & | value
| ) |  |
| virtual

## ◆ createLockedJoint()

virtual void hpp::corbaServer::impl::Problem::createLockedJoint | ( | const char * | lockedJointName,
|  | const char * | jointName,
|  | const hpp::floatSeq & | value
| ) |  |
| virtual

## ◆ createLockedJointWithComp()

virtual void hpp::corbaServer::impl::Problem::createLockedJointWithComp | ( | const char * | lockedJointName,
|  | const char * | jointName,
|  | const hpp::floatSeq & | value,
|  | const hpp::ComparisonTypes_t & | comp
| ) |  |
| virtual

## ◆ createManipulability()

virtual void hpp::corbaServer::impl::Problem::createManipulability | ( | const char * | name,
|  | const char * | function
| ) |  |
| virtual

## ◆ createOrientationConstraint()

virtual void hpp::corbaServer::impl::Problem::createOrientationConstraint | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const Double * | p,
|  | const hpp::boolSeq & | mask
| ) |  |
| virtual

## ◆ createPathOptimizer()

core_idl::PathOptimizer_ptr hpp::corbaServer::impl::Problem::createPathOptimizer | ( | const char * | type,
|  | core_idl::Problem_ptr | _problem
| ) |  |

## ◆ createPathPlanner()

core_idl::PathPlanner_ptr hpp::corbaServer::impl::Problem::createPathPlanner | ( | const char * | type,
|  | core_idl::Problem_ptr | _problem,
|  | core_idl::Roadmap_ptr | roadmap
| ) |  |

## ◆ createPathProjector()

core_idl::PathProjector_ptr hpp::corbaServer::impl::Problem::createPathProjector | ( | const char * | type,
|  | core_idl::Problem_ptr | robot,
|  | value_type | parameter
| ) |  |

## ◆ createPathValidation()

core_idl::PathValidation_ptr hpp::corbaServer::impl::Problem::createPathValidation | ( | const char * | type,
|  | pinocchio_idl::Device_ptr | robot,
|  | value_type | parameter
| ) |  |

## ◆ createPositionConstraint()

virtual void hpp::corbaServer::impl::Problem::createPositionConstraint | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const hpp::floatSeq & | point1,
|  | const hpp::floatSeq & | point2,
|  | const hpp::boolSeq & | mask
| ) |  |
| virtual

## ◆ createProblem()

core_idl::Problem_ptr hpp::corbaServer::impl::Problem::createProblem | ( | pinocchio_idl::Device_ptr | robot | ) |

## ◆ createRelativeComConstraint()

void hpp::corbaServer::impl::Problem::createRelativeComConstraint | ( | const char * | constraintName,
|  | const char * | comn,
|  | const char * | jointName,
|  | const floatSeq & | point,
|  | const hpp::boolSeq & | mask
| ) |  |

## ◆ createRoadmap()

core_idl::Roadmap_ptr hpp::corbaServer::impl::Problem::createRoadmap | ( | core_idl::Distance_ptr | distance,
|  | pinocchio_idl::Device_ptr | robot
| ) |  |

## ◆ createSteeringMethod()

core_idl::SteeringMethod_ptr hpp::corbaServer::impl::Problem::createSteeringMethod | ( | const char * | type,
|  | core_idl::Problem_ptr | _problem
| ) |  |

## ◆ createTransformationConstraint()

virtual void hpp::corbaServer::impl::Problem::createTransformationConstraint | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const Transform_ | p,
|  | const hpp::boolSeq & | mask
| ) |  |
| virtual

## ◆ createTransformationConstraint2()

virtual void hpp::corbaServer::impl::Problem::createTransformationConstraint2 | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const Transform_ | frame1,
|  | const Transform_ | frame2,
|  | const hpp::boolSeq & | mask
| ) |  |
| virtual

## ◆ createTransformationR3xSO3Constraint()

virtual void hpp::corbaServer::impl::Problem::createTransformationR3xSO3Constraint | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const Transform_ | frame1,
|  | const Transform_ | frame2,
|  | const hpp::boolSeq & | mask
| ) |  |
| virtual

## ◆ derivativeAtParam()

virtual hpp::floatSeq* hpp::corbaServer::impl::Problem::derivativeAtParam | ( | ULong | pathId,
|  | ULong | order,
|  | Double | atDistance
| ) |  |
| virtual

## ◆ directPath()

virtual bool hpp::corbaServer::impl::Problem::directPath | ( | const hpp::floatSeq & | startConfig,
|  | const hpp::floatSeq & | endConfig,
|  | CORBA::Boolean | validate,
|  | ULong & | pathId,
|  | CORBA::String_out | report
| ) |  |
| virtual

## ◆ displayConstraints()

virtual char* hpp::corbaServer::impl::Problem::displayConstraints | ( |  | ) |
| virtual

## ◆ edge()

virtual void hpp::corbaServer::impl::Problem::edge | ( | ULong | edgeId,
|  | hpp::floatSeq_out | q1,
|  | hpp::floatSeq_out | q2
| ) |  |
| virtual

## ◆ erasePath()

virtual void hpp::corbaServer::impl::Problem::erasePath | ( | ULong | pathId | ) |
| virtual

## ◆ executeOneStep()

virtual bool hpp::corbaServer::impl::Problem::executeOneStep | ( |  | ) |
| virtual

## ◆ extractPath()

virtual void hpp::corbaServer::impl::Problem::extractPath | ( | ULong | pathId,
|  | Double | start,
|  | Double | end
| ) |  |
| virtual

## ◆ filterCollisionPairs()

virtual void hpp::corbaServer::impl::Problem::filterCollisionPairs | ( |  | ) |
| virtual

## ◆ finishSolveStepByStep()

virtual void hpp::corbaServer::impl::Problem::finishSolveStepByStep | ( |  | ) |
| virtual

## ◆ generateValidConfig()

virtual bool hpp::corbaServer::impl::Problem::generateValidConfig | ( | ULong | maxIter,
|  | hpp::floatSeq_out | output,
|  | Double & | residualError
| ) |  |
| virtual

## ◆ getAvailable()

virtual Names_t* hpp::corbaServer::impl::Problem::getAvailable | ( | const char * | what | ) |
| virtual

## ◆ getConstantRightHandSide()

virtual bool hpp::corbaServer::impl::Problem::getConstantRightHandSide | ( | const char * | constraintName | ) |
| virtual

## ◆ getConstraint()

hpp::constraints_idl::Implicit_ptr hpp::corbaServer::impl::Problem::getConstraint | ( | const char * | name | ) |

## ◆ getConstraintDimensions()

virtual void hpp::corbaServer::impl::Problem::getConstraintDimensions | ( | const char * | constraintName,
|  | ULong & | inputSize,
|  | ULong & | inputDerivativeSize,
|  | ULong & | outputSize,
|  | ULong & | outputDerivativeSize
| ) |  |
| virtual

## ◆ getDistance()

hpp::core_idl::Distance_ptr hpp::corbaServer::impl::Problem::getDistance | ( |  | ) |

## ◆ getErrorThreshold()

virtual Double hpp::corbaServer::impl::Problem::getErrorThreshold | ( |  | ) |
| virtual

## ◆ getGoalConfigs()

virtual hpp::floatSeqSeq* hpp::corbaServer::impl::Problem::getGoalConfigs | ( |  | ) |
| virtual

## ◆ getInitialConfig()

virtual hpp::floatSeq* hpp::corbaServer::impl::Problem::getInitialConfig | ( |  | ) |
| virtual

## ◆ getMaxIterPathPlanning()

virtual ULong hpp::corbaServer::impl::Problem::getMaxIterPathPlanning | ( |  | ) |
| virtual

## ◆ getMaxIterProjection()

virtual ULong hpp::corbaServer::impl::Problem::getMaxIterProjection | ( |  | ) |
| virtual

## ◆ getMaxNumThreads()

virtual UShort hpp::corbaServer::impl::Problem::getMaxNumThreads | ( |  | ) |
| virtual

## ◆ getNearestConfig()

virtual hpp::floatSeq* hpp::corbaServer::impl::Problem::getNearestConfig | ( | const hpp::floatSeq & | config,
|  | const Long | connectedComponentId,
|  | hpp::core::value_type & | distance
| ) |  |
| virtual

## ◆ getObstacle()

pinocchio_idl::CollisionObject_ptr hpp::corbaServer::impl::Problem::getObstacle | ( | const char * | name | ) |

## ◆ getParameter()

virtual Any* hpp::corbaServer::impl::Problem::getParameter | ( | const char * | name | ) |
| virtual

## ◆ getParameterDoc()

virtual char* hpp::corbaServer::impl::Problem::getParameterDoc | ( | const char * | name | ) |
| virtual

## ◆ getPath()

hpp::core_idl::Path_ptr hpp::corbaServer::impl::Problem::getPath | ( | ULong | pathId | ) |

## ◆ getPathPlanner()

hpp::core_idl::PathPlanner_ptr hpp::corbaServer::impl::Problem::getPathPlanner | ( |  | ) |

## ◆ getPathValidation()

hpp::core_idl::PathValidation_ptr hpp::corbaServer::impl::Problem::getPathValidation | ( |  | ) |

## ◆ getProblem()

hpp::core_idl::Problem_ptr hpp::corbaServer::impl::Problem::getProblem | ( |  | ) |

## ◆ getRightHandSide()

virtual floatSeq* hpp::corbaServer::impl::Problem::getRightHandSide | ( |  | ) |
| virtual

## ◆ getSelected()

virtual Names_t* hpp::corbaServer::impl::Problem::getSelected | ( | const char * | what | ) |
| virtual

## ◆ getSteeringMethod()

hpp::core_idl::SteeringMethod_ptr hpp::corbaServer::impl::Problem::getSteeringMethod | ( |  | ) |

## ◆ getTimeOutPathPlanning()

virtual double hpp::corbaServer::impl::Problem::getTimeOutPathPlanning | ( |  | ) |
| virtual

## ◆ getWaypoints()

virtual hpp::floatSeqSeq* hpp::corbaServer::impl::Problem::getWaypoints | ( | ULong | inPathId,
|  | floatSeq_out | times
| ) |  |
| virtual

## ◆ interruptPathPlanning()

virtual void hpp::corbaServer::impl::Problem::interruptPathPlanning | ( |  | ) |
| virtual

## ◆ loadPath()

virtual hpp::core_idl::Path_ptr hpp::corbaServer::impl::Problem::loadPath | ( | const char * | filename | ) |
| virtual

## ◆ loadPlugin()

virtual bool hpp::corbaServer::impl::Problem::loadPlugin | ( | const char * | pluginName | ) |
| virtual

## ◆ loadRoadmap()

virtual void hpp::corbaServer::impl::Problem::loadRoadmap | ( | const char * | filename | ) |
| virtual

## ◆ movePathToProblem()

virtual void hpp::corbaServer::impl::Problem::movePathToProblem | ( | ULong | pathId,
|  | const char * | problemName,
|  | const Names_t & | jointNames
| ) |  |
| virtual

## ◆ node()

virtual hpp::floatSeq* hpp::corbaServer::impl::Problem::node | ( | ULong | nodeId | ) |
| virtual

## ◆ nodes()

virtual hpp::floatSeqSeq* hpp::corbaServer::impl::Problem::nodes | ( |  | ) |
| virtual

## ◆ nodesConnectedComponent()

virtual hpp::floatSeqSeq* hpp::corbaServer::impl::Problem::nodesConnectedComponent | ( | ULong | connectedComponentId | ) |
| virtual

## ◆ numberConnectedComponents()

virtual Long hpp::corbaServer::impl::Problem::numberConnectedComponents | ( |  | ) |
| virtual

## ◆ numberEdges()

virtual Long hpp::corbaServer::impl::Problem::numberEdges | ( |  | ) |
| virtual

## ◆ numberNodes()

virtual Long hpp::corbaServer::impl::Problem::numberNodes | ( |  | ) |
| virtual

## ◆ numberPaths()

virtual Long hpp::corbaServer::impl::Problem::numberPaths | ( |  | ) |
| virtual

## ◆ optimize()

virtual bool hpp::corbaServer::impl::Problem::optimize | ( | const hpp::floatSeq & | input,
|  | hpp::floatSeq_out | output,
|  | hpp::floatSeq_out | residualError
| ) |  |
| virtual

## ◆ optimizePath()

virtual hpp::intSeq* hpp::corbaServer::impl::Problem::optimizePath | ( | ULong | pathId | ) |
| virtual

## ◆ pathLength()

virtual Double hpp::corbaServer::impl::Problem::pathLength | ( | ULong | pathId | ) |
| virtual

## ◆ prepareSolveStepByStep()

virtual bool hpp::corbaServer::impl::Problem::prepareSolveStepByStep | ( |  | ) |
| virtual

## ◆ projectPath()

virtual bool hpp::corbaServer::impl::Problem::projectPath | ( | ULong | pathId | ) |
| virtual

## ◆ readRoadmap()

core_idl::Roadmap_ptr hpp::corbaServer::impl::Problem::readRoadmap | ( | const char * | filename,
|  | pinocchio_idl::Device_ptr | robot
| ) |  |

## ◆ resetConstraintMap()

virtual void hpp::corbaServer::impl::Problem::resetConstraintMap | ( |  | ) |
| virtual

## ◆ resetConstraints()

virtual void hpp::corbaServer::impl::Problem::resetConstraints | ( |  | ) |
| virtual

## ◆ resetGoalConfigs()

virtual void hpp::corbaServer::impl::Problem::resetGoalConfigs | ( |  | ) |
| virtual

## ◆ resetGoalConstraints()

void hpp::corbaServer::impl::Problem::resetGoalConstraints | ( |  | ) |

## ◆ resetProblem()

virtual void hpp::corbaServer::impl::Problem::resetProblem | ( |  | ) |
| virtual

## ◆ resetRoadmap()

virtual void hpp::corbaServer::impl::Problem::resetRoadmap | ( |  | ) |
| virtual

## ◆ reversePath()

virtual bool hpp::corbaServer::impl::Problem::reversePath | ( | ULong | pathId,
|  | ULong & | reversedPathId
| ) |  |
| virtual

## ◆ savePath()

virtual void hpp::corbaServer::impl::Problem::savePath | ( | hpp::core_idl::Path_ptr | path,
|  | const char * | filename
| ) |  |
| virtual

## ◆ saveRoadmap()

virtual void hpp::corbaServer::impl::Problem::saveRoadmap | ( | const char * | filename | ) |
| virtual

## ◆ scCreateScalarMultiply()

virtual void hpp::corbaServer::impl::Problem::scCreateScalarMultiply | ( | const char * | outName,
|  | Double | scalar,
|  | const char * | inName
| ) |  |
| virtual

## ◆ selectConfigurationShooter()

virtual void hpp::corbaServer::impl::Problem::selectConfigurationShooter | ( | const char * | configurationShooterType | ) |
| virtual

## ◆ selectDistance()

virtual void hpp::corbaServer::impl::Problem::selectDistance | ( | const char * | distanceType | ) |
| virtual

## ◆ selectPathPlanner()

virtual void hpp::corbaServer::impl::Problem::selectPathPlanner | ( | const char * | pathPlannerType | ) |
| virtual

## ◆ selectPathProjector()

virtual void hpp::corbaServer::impl::Problem::selectPathProjector | ( | const char * | pathProjectorType,
|  | Double | tolerance
| ) |  |
| virtual

## ◆ selectPathValidation()

virtual void hpp::corbaServer::impl::Problem::selectPathValidation | ( | const char * | pathValidationType,
|  | Double | tolerance
| ) |  |
| virtual

## ◆ selectProblem()

virtual bool hpp::corbaServer::impl::Problem::selectProblem | ( | const char * | problemName | ) |
| virtual

## ◆ selectSteeringMethod()

virtual void hpp::corbaServer::impl::Problem::selectSteeringMethod | ( | const char * | steeringMethodType | ) |
| virtual

## ◆ setConstantRightHandSide()

virtual void hpp::corbaServer::impl::Problem::setConstantRightHandSide | ( | const char * | constraintName,
|  | CORBA::Boolean | constant
| ) |  |
| virtual

## ◆ setDefaultLineSearchType()

virtual void hpp::corbaServer::impl::Problem::setDefaultLineSearchType | ( | const char * | type | ) |
| virtual

## ◆ setDistance()

void hpp::corbaServer::impl::Problem::setDistance | ( | hpp::core_idl::Distance_ptr | distance | ) |

## ◆ setErrorThreshold()

virtual void hpp::corbaServer::impl::Problem::setErrorThreshold | ( | Double | threshold | ) |
| virtual

## ◆ setGoalConstraints()

void hpp::corbaServer::impl::Problem::setGoalConstraints | ( | const Names_t & | constraints | ) |

## ◆ setInitialConfig()

virtual void hpp::corbaServer::impl::Problem::setInitialConfig | ( | const hpp::floatSeq & | dofArray | ) |
| virtual

## ◆ setMaxIterPathPlanning()

virtual void hpp::corbaServer::impl::Problem::setMaxIterPathPlanning | ( | ULong | iterations | ) |
| virtual

## ◆ setMaxIterProjection()

virtual void hpp::corbaServer::impl::Problem::setMaxIterProjection | ( | ULong | iterations | ) |
| virtual

## ◆ setMaxNumThreads()

virtual void hpp::corbaServer::impl::Problem::setMaxNumThreads | ( | UShort | n | ) |
| virtual

## ◆ setNumericalConstraintsLastPriorityOptional()

virtual void hpp::corbaServer::impl::Problem::setNumericalConstraintsLastPriorityOptional | ( | const bool | optional | ) |
| virtual

## ◆ setParameter()

virtual void hpp::corbaServer::impl::Problem::setParameter | ( | const char * | name,
|  | const Any & | value
| ) |  |
| virtual

## ◆ setRandomSeed()

virtual void hpp::corbaServer::impl::Problem::setRandomSeed | ( | const Long | seed | ) |
| inline virtual

## ◆ setRightHandSide()

virtual void hpp::corbaServer::impl::Problem::setRightHandSide | ( | const hpp::floatSeq & | rhs | ) |
| virtual

## ◆ setRightHandSideByName()

virtual void hpp::corbaServer::impl::Problem::setRightHandSideByName | ( | const char * | constraintName,
|  | const hpp::floatSeq & | rhs
| ) |  |
| virtual

## ◆ setRightHandSideFromConfig()

virtual void hpp::corbaServer::impl::Problem::setRightHandSideFromConfig | ( | const hpp::floatSeq & | config | ) |
| virtual

## ◆ setRightHandSideFromConfigByName()

virtual void hpp::corbaServer::impl::Problem::setRightHandSideFromConfigByName | ( | const char * | constraintName,
|  | const hpp::floatSeq & | config
| ) |  |
| virtual

## ◆ setRobot()

void hpp::corbaServer::impl::Problem::setRobot | ( | hpp::pinocchio_idl::Device_ptr | robot | ) |

## ◆ setServer()

void hpp::corbaServer::impl::Problem::setServer | ( | ServerPlugin * | server | ) |
| inline

## ◆ setTimeOutPathPlanning()

virtual void hpp::corbaServer::impl::Problem::setTimeOutPathPlanning | ( | double | timeOut | ) |
| virtual

## ◆ solve()

virtual hpp::intSeq* hpp::corbaServer::impl::Problem::solve | ( |  | ) |
| virtual

## ◆ writeRoadmap()

void hpp::corbaServer::impl::Problem::writeRoadmap | ( | const char * | filename,
|  | core_idl::Roadmap_ptr | roadmap,
|  | pinocchio_idl::Device_ptr | robot
| ) |  |

The documentation for this class was generated from the following file:

- src/problem.impl.hh